%define pname     osdteletext
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.5.1
Release:        19
Summary:        OSD teletext plugin for VDR

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.wiesweg-online.de/linux/linux.html
Source0:        http://www.wiesweg-online.de/linux/vdr/%{name}-%{version}.tgz
Source200:      %{name}.runvdr
Patch0:         %{name}-0.5.1-i18n.patch
Patch1:		osdteletext-0.5.1-thred-stop-patch.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
The OSD teletext plugin displays teletext directly on VDR's on-screen
display, with sound and video from the current channel playing in the
background.


%prep
%setup -q -n %{pname}-%{version}
%patch0
%patch1
for f in HISTORY README.DE ; do
  iconv -f iso-8859-1 -t utf-8 $f > $f.utf-8 ; mv $f.utf-8 $f
done
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile


%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{cachedir}/osdteletext
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/%{pname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable %{pname} >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable %{pname} >/dev/null 2>&1
    rm -rf %{cachedir}/osdteletext/*
fi


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README*
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%attr(-,%{vdr_user},root) %{cachedir}/osdteletext/


%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.1-19
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.1-18
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.1-17
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.1-16
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.1-15
- rebuild against vdr-1.6.0-3
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.1-14
- rebuild against latest vdr package
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.1-13
- rebuild against latest vdr package
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 0.5.1-12
- rebuild against latest vdr package
* Mon Feb 12 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-11
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-10
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-9
- rebuild against latest vdr package
* Fri Feb 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-8
- rebuild against latest vdr package
* Thu Jan 25 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-7
- rebuild against latest vdr package
* Wed Jan 24 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-6
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-5
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-4
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-3
- rebuild against latest vdr package
* Tue Jan 09 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.1-2
- rebuild against latest VDR
* Tue Oct 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.1-1
- Initial release